import { ExpandableTextInput } from './types';
import * as i0 from "@angular/core";
export declare class ExpandableTextComponent {
    /**
     * Expandable text configuration object.
     * @type {ExpandableTextInput}
     * @property content - The text content to display.
     * @property limit - The character limit before truncation.
     * @property color - The color for the "see more" link.
     * @property expandText - The text for the expand link (optional).
     */
    props: ExpandableTextInput;
    expanded: boolean;
    defaultColor: string;
    private i18n;
    get truncatedText(): string;
    get isTruncated(): boolean;
    getExpandText(): string;
    toggleExpand(): void;
    color(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ExpandableTextComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ExpandableTextComponent, "val-expandable-text", never, { "props": { "alias": "props"; "required": false; }; }, {}, never, never, true, never>;
}
